curl --location 'https://api.uat.sokin.com/beneficiaries/batch-validation' \
--header 'x-api-version;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payloads": [
{
"reference": "string",
"displayName": "string",
"entityType": "string",
"countryCode": "string",
"currencyCode": "string",
"paymentRail": "string",
"bankAccount": {
"property1": "string",
"property2": "string"
},
"eTransfer": {
"property1": "string",
"property2": "string"
},
"virtualAccount": {
"property1": "string",
"property2": "string"
},
"sokinInternal": {
"property1": "string",
"property2": "string"
},
"individual": {
"property1": "string",
"property2": "string"
},
"company": {
"property1": "string",
"property2": "string"
},
"address": {
"property1": "string",
"property2": "string"
},
"providerMetadata": {
"property1": "string",
"property2": "string"
},
"property1": "string",
"property2": "string"
}
]
}'{
"message": "string",
"data": {
"isValid": true,
"results": [
{
"reference": "string",
"isValid": true,
"errors": [
{
"loc": [
"string"
],
"message": "string",
"type": "string"
}
]
}
]
}
}